import { ButtonProps, Placement } from '@blueprintjs/core';
import { CSSProperties } from 'react';
import { ToolbarItemProps } from 'react-science/ui';
export interface ToolBarButtonProps extends Omit<ToolbarItemProps, 'onClick' | 'title'>, Pick<ButtonProps, 'onClick' | 'title'> {
    disabled?: boolean;
    placement?: Placement;
    style?: CSSProperties;
}
export declare function ToolBarButton(props: ToolBarButtonProps): import("react/jsx-runtime").JSX.Element;
