import { jsx as _jsx } from "react/jsx-runtime";
import { Button } from 'react-science/ui';
export function ToolBarButton(props) {
    const { intent, title = '', placement = 'bottom', style = {}, ...other } = props;
    return (_jsx(Button, { ...other, intent: intent, minimal: true, tooltipProps: {
            content: title,
            placement,
            intent,
            compact: true,
        }, style: {
            fontSize: '1.25em',
            ...style,
        } }));
}
