import { CSSProperties, ReactNode } from 'react';
interface DefaultPanelHeaderProps {
    counter?: number;
    counterLabel?: string;
    deleteToolTip?: string;
    filterToolTip?: string;
    onDelete?: () => void;
    onFilter?: () => void;
    onSettingClick?: () => void;
    canDelete?: boolean;
    disableDelete?: boolean;
    showSettingButton?: boolean;
    children?: ReactNode;
    style?: CSSProperties;
    className?: string;
    renderRightButtons?: () => ReactNode;
}
export declare function createFilterLabel(total: number, counter: number | false): string;
declare function DefaultPanelHeader({ counter, counterLabel, onDelete, deleteToolTip, onFilter, filterToolTip, children, onSettingClick, showSettingButton, canDelete, disableDelete, style, className, renderRightButtons, }: DefaultPanelHeaderProps): import("react/jsx-runtime").JSX.Element;
export default DefaultPanelHeader;
