import { jsx as _jsx } from "react/jsx-runtime";
import { Menu, MenuItem, Popover, } from '@blueprintjs/core';
export function DropdownMenu(props) {
    const { options, onSelect, children, ...other } = props;
    const content = (_jsx(Menu, { children: options.map((option) => (_jsx(MenuItem, { ...option, onClick: () => onSelect(option?.data) }, JSON.stringify(option)))) }));
    return (_jsx(Popover, { ...other, content: content, children: children }));
}
