import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { SvgNmrPeaks, SvgNmrPeaksTopLabels } from 'cheminfo-font';
import { Toolbar } from 'react-science/ui';
export function PeaksToggleActions(props) {
    const { disabled, togglePeaks, togglePeaksId, toggleDisplayingMode, toggleDisplayingModeId, onShowToggle, onDisplayingModeToggle, } = props;
    return (_jsxs(_Fragment, { children: [_jsx(Toolbar.Item, { id: togglePeaksId, disabled: disabled, icon: _jsx(SvgNmrPeaks, {}), title: `${togglePeaks ? 'Hide' : 'Show'} peaks`, onClick: onShowToggle, active: togglePeaks }), _jsx(Toolbar.Item, { id: toggleDisplayingModeId, disabled: disabled, icon: _jsx(SvgNmrPeaksTopLabels, {}), title: toggleDisplayingMode === 'spread' ? 'Single Mode' : 'Spread mode', onClick: onDisplayingModeToggle, active: toggleDisplayingMode === 'spread' })] }));
}
